Subject: Re: bug#71436: Fwd: preview in LuaTeX with RTL as main language does not work

From: Udicoudco <[email-masked]>
Date: Tue, 11 Jun 2024 12:13:06 +0300

Hello Ikumi Keita,
Thank you for the reply.

On Tue, Jun 11, 2024 at 8:45 AM Ikumi Keita <[email-masked]> wrote:
> >>>>> Udicoudco <[email-masked]> writes:
> > On Sat, Jun 8, 2024 at 1:20 PM Udicoudco <[email-masked]> wrote:
> >> In LuaTeX, when \pagedirection is right to left then \pagerightoffset is
> >> used instead of \hoffset to position the page. I attached a patch and an
> >> example
> >> that demonstrates the problem.
> >>
> >>
> > There is a typo in the patch, so I attached a new one.
>
> Thanks for your proposal, but "make" doesn't run with this patch:

Oh, there was another typo. I did not test that the documentation
is typesetting properly, and there was a "\begn{macro}" instead
of `\begin{macro}`. I also updated the checksum of preview.dtx.
Tested now with the various engines and things seems to be working
(but please test thoroughly :)

> By the way, I suppose we need copyright assignment if this contribution
> is to be incorporated into AUCTeX. Have you signed FSF copyright
> assignment form before? If not, please have a look at
> https://git.savannah.gnu.org/cgit/gnulib.git/tree/doc/Copyright/request-assign.future

Just sent an email, but in case it is suffice, when I'll get an answer
I'll attach the assignment. BTW, it is not that important, but
why is my postal address needed?

Regards,
Udi